in.zone <- function(pos,verbose=F){
  if(verbose) cat('\nchecking which track positions where inside the Gulf of Lions\n')
  library(oceanmap)
  tuna_zone <- extent(c(3,6,41.5,44))
  pol <- extent2SpatialPolygon(tuna_zone)
  
  library(sp)
  in.zone <- over(SpatialPoints(coords = cbind(pos$Lon,pos$Lat)),pol)
  pos$in.zone <- F
  pos$in.zone[which(in.zone == 1)] <- T
  return(pos)
}
