load_strat.index <- function(year,f){
  in.name <- "data/bluemed_strat_data_interpolated.rd"
  load(in.name,verbose = T)
  dat <- strat.year.list[[paste0("y.",year)]][[paste0("rm_window",f,"d")]]
  head(dat)
  dat$f <- f
  dat$yday <- lubridate::yday(dat$dates)
  dat$year <- date2year(dat$dates)
  dat <- dat[which(dat$year == year),]
  return(dat)
}
