plot.errorbars <- function(x,low,up,epsilon,horiz=F){
  for(i in 1:length(x)){
  if(!horiz){
    segments(x[i],low[i] , x[i], up[i])
    segments(x[i]-epsilon, up[i] , x[i]+epsilon, up[i])
    segments(x[i]-epsilon, low[i] , x[i]+epsilon, low[i])
  }else{
    segments(x[i],low[i] , x[i], up[i])
    segments(x[i]-epsilon, up[i] , x[i]+epsilon, up[i])
    segments(x[i]-epsilon, low[i] , x[i]+epsilon, low[i])
  }
  }
}

plot.errorbars_sd <- function(k,k.sd,bins,horiz=T){
  epsilon <- diff(bins)[1]*.15
  for(i in 1:length(bins)) {
    x <- c(rev(k)[i],rev(k)[i]+rev(k.sd)[i])
    y <- c(bins[i],bins[i])
    segments(x[1],y[1],x[2],y[2],xpd=T)
    segments(x[2],y[2]-epsilon,x[2],y[2]+epsilon,xpd=T)
  }
}